# -*- coding: utf-8 -*-
"""
Created on Sun May 26 20:08:47 2019

@author: Andreas
"""

import numpy as np
from matplotlib import pyplot as plt


def lade_daten(dateiname):
    '''lade_daten lädt die Tomographiedaten aus einer Datei
    Eingabe:
        dateiname: (string) Name der zu lesenden Datei. Bsp: 'test42x42.npz'
    Ausgabe (als tuple in dieser Reihenfolge:
        K: (int) Anzahl der Quadrate des Gitters
        phi: (numpy.array) Winkel der Strahlen
        s: (numpy.array) Verschiebungen der Strahlen
        d: (numpy.array) Messdaten'''

    daten=np.load(dateiname)
    return int(daten['K']), daten['phi'], daten['s'], daten['d']


def zeichne_bild(bild):
    ''' Zeichnet ein Bild in graustufen
    Eingabe: (np.array) Das zu plottende Bild als array (shape m x m)'''
    plt.figure(bild.size)
    plt.clf()
    plt.imshow(bild,cmap='gray')